/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
package com.bonus.sharedstation.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.TherapyAppointments;
import com.bonus.sharedstation.app.dto.TherapyAppointmentsDTO;

/**
 * 汽车服务 Service
 *
 * @author 云归
 * @date 2024-11-15
 */
public interface ITherapyAppointmentsService extends IService<TherapyAppointments> {


    /**
     * 新增
     * @param dto 理疗预约信息
     * @return 操作影响行数
     */
    AjaxResult insert(TherapyAppointments dto);


    /**
     * 更新
     * @param dto 理疗预约信息
     * @return 操作影响行数
     */
    AjaxResult updateInfoById(TherapyAppointments dto);

    /**
     * 删除
     * @param dto 理疗预约信息 （ID）
     * @return 操作影响行数
     */
    AjaxResult delete(TherapyAppointments dto);

    /**
     * 分页查询列表
     * @param dto 分页查询列表
     * @return 分页查询列表
     */
    AjaxResult getListPage(TherapyAppointmentsDTO dto);

    /**
     * app
     * @param dto app
     * @return app
     */
    AjaxResult getListPageApp(TherapyAppointmentsDTO dto);

    /**
     * 查询所有
     * @param dto 查询所有
     * @return 查询所有
     */
    AjaxResult selectAll(TherapyAppointments dto);

    /**
     * 详情
     * @param dto 入参
     * @return 详情
     */
    AjaxResult selectInfoById(TherapyAppointments dto);
    /**
     * 查询通过日期
     * @param dto 入参
     * @return 详情
     */
    AjaxResult selectByDate(TherapyAppointments dto);
    /**
     * 查询通过日期
     * @param dto 入参
     * @return 详情
     */
    AjaxResult selectDirCode(TherapyAppointments dto);
}
